Bug 71135 - ghostscript - add CIDnmap for GB18030 font
ghostscript - add CIDnmap for GB18030 font
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: ttfonts-zh_CN (Show other bugs)
9
i386 Linux
high Severity high
: ---
: ---
Assigned To: Yu Shao
Bill Huang
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-08-09 01:23 EDT by Leon Ho
Modified: 2005-10-31 17:00 EST (History)
2 users (show)

See Also:
Fixed In Version: 2.12-4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-04-30 01:44:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
diff for CIDnmap* (1.71 KB, patch)
2002-08-09 01:24 EDT, Leon Ho
no flags Details | Diff

  None (edit)
Description Leon Ho 2002-08-09 01:23:22 EDT
Description of Problem: 
It cannot print any GB18030 as it hasn't got configure the GB18030 font from a application uses 
ghostscript to rerender. 
 
Version-Release number of selected component (if applicable): 
 
 
How Reproducible: 
 
 
Steps to Reproduce: 
1. print GB18030 file 
 
Actual Results: 
cannot print 
 
Expected Results: 
able to print 
 
Additional Information:
Comment 1 Leon Ho 2002-08-09 01:24:26 EDT
Created attachment 69684 [details]
diff for CIDnmap*
Comment 2 Tim Waugh 2002-08-09 07:54:13 EDT
Fixed package is ghostscript-7.05-17.
Comment 3 Tim Waugh 2002-08-12 05:15:53 EDT
Patch doesn't work, reverted.  Please test it next time!
Comment 4 Nakai 2002-08-12 05:22:44 EDT
This should be a critical issue for our Chinese product.
I set this high.
Comment 5 Tim Waugh 2002-08-12 05:24:22 EDT
I need a patch that actually works.  I just get invalidfileaccess.
Comment 6 Tim Waugh 2002-08-12 05:52:22 EDT
Oh, sorry, it's all my fault.  Need to actually _ship_  the .ZHY file..
Comment 7 Tim Waugh 2002-08-12 06:02:19 EDT
For reference, here was the bit you missed: 
 
--- ghostscript-7.05/src/unixinst.mak.gb18030   2002-08-12 11:02:16.000000000 
+0100 
+++ ghostscript-7.05/src/unixinst.mak   2002-08-12 11:02:49.000000000 +0100 
@@ -68,7 +68,7 @@ 
 CIDFnmap CIDFnmap.Ore CIDFnmap.ARP CIDFnmap.Bae CIDFnmap.Koc \ 
 CIDFnmap.Sol CIDFnmap.Win \ 
 CIDFnmap.CJK \ 
-CIDFnmap.b5 CIDFnmap.gb CIDFnmap.ksx CIDFnmap.sj \ 
+CIDFnmap.b5 CIDFnmap.gb CIDFnmap.ksx CIDFnmap.sj CIDFnmap.ZHY \ 
 ht_ccsto.ps \ 
 acctest.ps addxchar.ps align.ps bdftops.ps \ 
 caption.ps cid2code.ps decrypt.ps docie.ps \ 
Comment 8 Tim Waugh 2002-08-12 07:17:46 EDT
Fixed package is 7.05-19.
Comment 9 Jay Turner 2002-08-16 10:15:48 EDT
Everything appears to be there for ghostscript-7.05-19. Please reopen if you are
still having problems printing.
Comment 10 Tim Waugh 2003-03-31 11:07:33 EST
I think this needs fixing again, but this time in ttfonts-zh_CN.
Comment 11 Leon Ho 2003-04-30 01:44:12 EDT
Modified CIDnmap in the package. 2.12-4 has the fix.  

Note You need to log in before you can comment on or make changes to this bug.